2019-05-26 22:51 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002394NetSurfLayoutpublic2016-02-16 13:52
ReporterHarriet Bazley 
Assigned ToMichael Drake 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
PlatformARMOSRISC OSOS Version5.19
Product Version3.4 
Target Version3.4Fixed in Version3.4 
Summary0002394: Crashes on Etsy
DescriptionLinks to pages on etsy.com result in crashes with the error:
 "render/layout.c", line 5129: layout_calculate_descendant_bboxes: Assertion failed: box->width != UNKNOWN_WIDTH

I've seen this on direct links given by sellers, but you can also induce it generally by navigating in from the front page.
Steps To ReproduceVisit, for example, https://www.etsy.com/uk/featured/unique-gift-ideas-for-women-uk?ref=sohp

Click on any of the categories (I tried 'wives' and 'tech gifts' and got identical results)
Additional InformationIyonix Aria, RISC OS 5.20, JavaScript enabled
TagsNo tags attached.
Fixed in CI build #3383
Reported in CI build #3120
URL of problem pagehttps://www.etsy.com/uk/featured/unique-gift-ideas-for-women-uk?ref=sohp
Attached Files
  • ? file icon etsy (344,461 bytes) 2015-11-19 02:49

-Relationships
has duplicate 0002408closed Crashes on Etsy 
+Relationships

-Notes
Vincent Sanders

~0001105

Vincent Sanders (administrator)

(108.790000) content/content.c:690 content_remove_user: content https://www.etsy.com/uk/featured/unique-gift-ideas-for-women-uk?ref=sohp (0x723d7bd0), user 0xcf4d0 0x721e8cb0
(108.790000) content/content.c:361 content__reformat: 0x72887500 https://www.etsy.com/uk/search?q=wife&ship_to=GB&anchor_listing_id=212732336&ref=finds_cat

"render/layout.c", line 5129: layout_calculate_descendant_bboxes: Assertion failed: box->width != UNKNOWN_WIDTH
Vincent Sanders

~0001225

Vincent Sanders (administrator)

Confirmed fixed in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2015-11-19 02:49 Harriet Bazley New Issue
2015-11-19 02:49 Harriet Bazley File Added: etsy
2015-11-19 08:59 Vincent Sanders Note Added: 0001105
2015-11-19 08:59 Vincent Sanders Assigned To => Michael Drake
2015-11-19 08:59 Vincent Sanders Status new => acknowledged
2015-11-19 08:59 Vincent Sanders Product Version => 3.4
2015-11-19 08:59 Vincent Sanders Description Updated View Revisions
2015-11-19 08:59 Vincent Sanders Steps to Reproduce Updated View Revisions
2016-01-04 21:29 Dave Higton Relationship added has duplicate 0002408
2016-02-09 16:54 Michael Drake Fixed in CI build # => 3383
2016-02-09 16:54 Michael Drake Status acknowledged => resolved
2016-02-09 16:54 Michael Drake Resolution open => fixed
2016-02-09 16:54 Michael Drake Target Version => 3.4
2016-02-09 16:55 Michael Drake Fixed in Version => 3.4
2016-02-16 13:52 Vincent Sanders Note Added: 0001225
2016-02-16 13:52 Vincent Sanders Status resolved => closed
+Issue History